# Exchanges (Cryptohopper API)

The exchanges on Cryptohopper: markets, currencies, tickers, candles, orderbooks and precision.

- [Get available exchanges](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-available-exchanges.md): `GET /exchange`
- [List currencies by market cap](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-currencies.md): `GET /exchange/currencies`
- [Get market data for a currency](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-currencies-currency.md): `GET /exchange/currencies/{currency}`
- [Get details for each exchange](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-details-for-each-exchange.md): `GET /exchange/details`
- [Get rates for forex pairs](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-rates-for-forex-pairs.md): `GET /exchange/forex-rates`
- [Get market cap overview](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-marketcap.md): `GET /exchange/marketcap`
- [Get market cap details for a currency](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-marketcap-currency.md): `GET /exchange/marketcap/{currency}`
- [Get market data portal keys](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-portal.md): `GET /exchange/portal`
- [Get portal market maps for all exchanges](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-portal-map.md): `GET /exchange/portal/map`
- [Get exchanges not on the market data portal](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-sluis.md): `GET /exchange/sluis`
- [Get base currencies from exchange](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-base-currencies-from-exchange.md): `GET /exchange/{exchange}/basecurrencies`
- [Check base currency](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/check-base-currency.md): `GET /exchange/{exchange}/basecurrencies/{base_currency}`
- [Get candles from exchange](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-candles-from-exchange.md): `GET /exchange/{exchange}/candle/{pair}/{time-frame}/{start-date}/{end-date}`
- [Get available currencies](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/available-currencies.md): `GET /exchange/{exchange}/currencies`
- [Get precision for currencies](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-precision-for-currencies.md): `GET /exchange/{exchange}/currencies/decimals`
- [Get a single currency](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-a-single-currency.md): `GET /exchange/{exchange}/currency`
- [Get precision for a currency](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-precision-for-a-currency.md): `GET /exchange/{exchange}/currency/{currency}/decimals`
- [Get trading pair](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-trading-pair.md): `GET /exchange/{exchange}/getmarket`
- [Get IP addresses to whitelist](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-exchange-ipwhitelist.md): `GET /exchange/{exchange}/ipwhitelist`
- [Get available markets](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/available-markets.md): `GET /exchange/{exchange}/markets`
- [Get price and amount decimals](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-price-and-amount-decimals.md): `GET /exchange/{exchange}/markets/{market}/decimals`
- [Get portal market map for an exchange](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-exchange-portal-pairs.md): `GET /exchange/{exchange}/portal/pairs`
- [Get all tickers](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-all-tickers.md): `GET /exchange/{exchange}/ticker`
- [Get market ticker](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-market-ticker.md): `GET /exchange/{exchange}/ticker/{pair}`
- [Get tickers](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-exchange-tickers.md): `GET /exchange/{exchange}/tickers`
- [Get deposit and withdrawal fees](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-exchange-exchange-withdrawalfees.md): `GET /exchange/{exchange}/withdrawalfees`
- [Get orderbook](https://www.cryptohopper.com/api-documentation/api-reference/exchanges/get-orderbook.md): `GET /exchange/{exchange}/{pair}/orderbook/{depth}`

